relaxngcc.grammar

## Class OneOrMorePattern

- java.lang.Object
- - relaxngcc.grammar.Pattern
  - - relaxngcc.grammar.OneOrMorePattern

    public class OneOrMorePattern
    extends Pattern

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

### Field Summary

Fields
`Pattern` `p`

### Constructor Summary

Constructors
Constructor and Description
`OneOrMorePattern(ParserRuntime rt, Pattern p_)`

### Method Summary

Methods
`java.lang.Object` `apply(PatternFunction f)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### p

    public final Pattern p

### Constructor Detail

#### OneOrMorePattern

    public OneOrMorePattern(ParserRuntime rt,
                    Pattern p_)

### Method Detail

#### apply

    public java.lang.Object apply(PatternFunction f)

Specified by:
  `apply` in class `Pattern`